package com.jwipc.order.convert;

import com.jwipc.order.dto.*;
import com.jwipc.order.entity.*;
import org.mapstruct.Mapper;

import java.util.List;

/**
 * 功能描述:
 *
 * @Author: zx
 * @Date: 2024/3/19 0019 14:42
 */
@Mapper(componentModel = "spring")
public interface PcnManagerConvert {

    PcnChangeApplyListDTO entityToDTO(PcnChangeApplyList bean);

    PcnChangeApplyList dtoToEntity(PcnChangeApplyListDTO bean);

    List<PcnChangeApplyListDTO> pcnChangeApplyListToDTOs(List<PcnChangeApplyList> bean);

    List<PcnChangeSubjectDTO> selectRecordListToDTOs(List<PcnChangeSubject> beans);

    List<PcnChangeMaterialDTO> selectMaterialListToDTOs(List<PcnChangeMaterial> beans);

    List<PcnChangeFileDTO> selectFilesListToDTOs(List<PcnChangeFile> beans);

    List<PcnChangeSubjectDTO> selectSubjectListToDTOs(List<PcnChangeSubject> beans);

    PcnChangeSubjectDTO selectSubjectOneToDTO(PcnChangeSubject bean);

    PcnChangeApprove selectApproveListToDTOs(PcnChangeApproveDTO bean);

    List<PcnChangeApproveDTO> selectApprovalListToDTOs(List<PcnChangeApprove> beans);

}
